```@meta
CurrentModule = WeightInitializers
```

# [WeightInitializers](@id WeightInitializers-API)

This package is a light dependency providing common weight initialization schemes for deep
learning models.

## Index

```@index
Pages = ["WeightInitializers.md"]
```

## API Reference

### Main Functions

```@docs
glorot_normal
glorot_uniform
identity_init
kaiming_normal
kaiming_uniform
sparse_init
truncated_normal
orthogonal
```

### Commonly Used Wrappers

```@docs
zeros16
ones16
rand16
randn16
zeros32
ones32
rand32
randn32
zeros64
ones64
rand64
randn64
zerosC16
onesC16
randC16
randnC16
zerosC32
onesC32
randC32
randnC32
zerosC64
onesC64
randC64
randnC64
```
